commit:     001fe5f5078308a03fe89fde53d33bc73130c016
Author:     matoro <matoro <AT> users <DOT> noreply <DOT> github <DOT> com>
AuthorDate: Sat Jul 30 04:51:23 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jul 30 05:58:59 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=001fe5f5

dev-haskell/path-io: add 1.6.3, drop 1.6.0-r1

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-haskell/path-io/Manifest                       |  3 ++-
 ...ath-io-1.6.0-r1.ebuild => path-io-1.6.3.ebuild} | 28 ++++++++++++----------
 2 files changed, 17 insertions(+), 14 deletions(-)

diff --git a/dev-haskell/path-io/Manifest b/dev-haskell/path-io/Manifest
index af41e87d8b5e..c42355ea9066 100644
--- a/dev-haskell/path-io/Manifest
+++ b/dev-haskell/path-io/Manifest
@@ -1 +1,2 @@
-DIST path-io-1.6.0.tar.gz 20848 BLAKE2B 
89236aca7c41b5095bb989c7638640ce6735843db36028b2b9d4f0427b0bb94403d915eb3abdfd34cf02f5b6b02cb02e57525eb9e056c942481802b24401117c
 SHA512 
dcafbbfe1531d7b00a9df751c093e6affdefafe7589c0243530579b9f5733ef1357b1085cfd88bf53ff9794accddbc789b927a199f4c4a2b7778268cf1719477
+DIST path-io-1.6.3.cabal 2142 BLAKE2B 
53b2198802cbb77554140ba5a89bcbe23795e369d51fb6a78fb54208ccd2a4fe7f67ae1687f105a4fe8fe00c5919ce0901b7d48982e7fce036afb8f23eaa3865
 SHA512 
f8ac7360acf4c556c1b4d7cf9840e1e5fb71f7aac545ae59364a0e85e448482905e9189ddd3fbb41377ce7da5a51097e62a617a90a40f36a30713ad684e4a066
+DIST path-io-1.6.3.tar.gz 20946 BLAKE2B 
2e2e6b2e8835228be9e984b03891989b3517256926b9e643656c2236befff262e03dc10131e1f41278c871c70b5f14599161708915837ae2ac9f61cd637cf95a
 SHA512 
d9d4e0d3a0b74677b8e29608254b1a4b5f306378400e8ec6d2b96ec4fd5b340ca20652684af558ec5ec5c401a18c4c9203adf7afbb1a602df0786459bc5bc774

diff --git a/dev-haskell/path-io/path-io-1.6.0-r1.ebuild 
b/dev-haskell/path-io/path-io-1.6.3.ebuild
similarity index 57%
rename from dev-haskell/path-io/path-io-1.6.0-r1.ebuild
rename to dev-haskell/path-io/path-io-1.6.3.ebuild
index fdde596e893d..ace895dedc06 100644
--- a/dev-haskell/path-io/path-io-1.6.0-r1.ebuild
+++ b/dev-haskell/path-io/path-io-1.6.3.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-# ebuild generated by hackport 0.6.1.9999
+# ebuild generated by hackport 0.6.7.9999
 #hackport: flags: -dev
 
 CABAL_FEATURES="lib profile haddock hoogle hscolour test-suite"
@@ -11,30 +11,32 @@ inherit haskell-cabal
 
 DESCRIPTION="Interface to 'directory' package for users of 'path'"
 HOMEPAGE="https://github.com/mrkkrp/path-io";
-SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz";
+HACKAGE_REV="3"
+SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz
+       https://hackage.haskell.org/package/${P}/revision/${HACKAGE_REV}.cabal 
-> ${PF}.cabal"
 
 LICENSE="BSD"
 SLOT="0/${PV}"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
+KEYWORDS="~amd64 ~ppc64 ~x86"
 
-RDEPEND=">=dev-haskell/dlist-0.8:=[profile?] <dev-haskell/dlist-0.9:=[profile?]
+RDEPEND=">=dev-haskell/dlist-0.8:=[profile?] <dev-haskell/dlist-2.0:=[profile?]
        >=dev-haskell/exceptions-0.8:=[profile?] 
<dev-haskell/exceptions-0.11:=[profile?]
-       >=dev-haskell/path-0.6:=[profile?]
+       >=dev-haskell/path-0.6:=[profile?] <dev-haskell/path-0.10:=[profile?]
        >=dev-haskell/temporary-1.1:=[profile?] 
<dev-haskell/temporary-1.4:=[profile?]
        dev-haskell/unix-compat:=[profile?]
-       >=dev-lang/ghc-8.6.1:=
+       >=dev-lang/ghc-8.8.1:=
 "
 DEPEND="${RDEPEND}
-       >=dev-haskell/cabal-2.4.0.1
+       >=dev-haskell/cabal-3.0.0.0
        test? ( >=dev-haskell/hspec-2.0 <dev-haskell/hspec-3.0 )
 "
 
 src_prepare() {
-       default
+       # pull revised cabal from upstream
+       cp "${DISTDIR}/${PF}.cabal" "${S}/${PN}.cabal" || die
 
-       cabal_chdeps \
-               'path         >= 0.6     && < 0.7' 'path         >= 0.6'
+       # Apply patches *after* pulling the revised cabal
+       default
 }
 
 src_configure() {

Reply via email to